[PC-BSD Commits] r966 - pbibuild/modules/firefox/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Dec 6 09:40:47 PST 2007
Author: kris
Date: 2007-12-06 09:40:47 -0800 (Thu, 06 Dec 2007)
New Revision: 966
Modified:
pbibuild/modules/firefox/overlay-dir/PBI.RemoveScript.sh
Log:
Added option to remove firefox profile if the user wants to during uninstall
Modified: pbibuild/modules/firefox/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/firefox/overlay-dir/PBI.RemoveScript.sh 2007-12-06 17:30:01 UTC (rev 965)
+++ pbibuild/modules/firefox/overlay-dir/PBI.RemoveScript.sh 2007-12-06 17:40:47 UTC (rev 966)
@@ -10,3 +10,21 @@
chflags -R noschg /Programs/${1}
rm /usr/local/bin/firefox
+
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove all Firefox user profiles? (This will remove all bookmarks, extensions, themes and settings!)" --title "Remove user profiles"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.mozilla/firefox" ]
+ then
+ rm -rf /home/${i}/.mozilla/firefox
+ fi
+ done
+ fi
+fi
More information about the Commits
mailing list